{
  selector: "%SELECTOR%",
//  theme: "modern",
//  skin: "lightgray",
//  toolbar_items_size: "small",
//  menubar:false,
  plugins: [
    "advlist anchor autolink autosave bootstrap3grid charmap codemirror codesample emoticons fontawesome fullscreen help hr",
    "image imagetools insertdatetime link lists media nonbreaking paste preview",
    "save searchreplace table template visualblocks visualchars wordcount noneditable xhplugincall"
  ],
  external_plugins: {
    "fontawesome": "%CMSIMPLE_ROOT%plugins/fa/editors/tinymce5/fontawesome/plugin.min.js",
    "xhplugincall":"%CMSIMPLE_ROOT%plugins/tinymce5/tinymce/plugins/xhplugincall/plugin.min.js",
    "codemirror":"%CMSIMPLE_ROOT%plugins/tinymce5/tinymce/plugins/codemirror/plugin.min.js",
    "bootstrap3grid":"%CMSIMPLE_ROOT%plugins/tinymce5/tinymce/plugins/bootstrap3grid/plugin.min.js"
  },
  toolbar: [
    'save | fullscreen | undo redo | styleselect | bullist numlist | bold italic | link image',
    'alignleft aligncenter alignright searchreplace bootstrap3grid'
  ],
  menubar: 'edit insert view format table tools help',
  menu: {
    edit: {title: 'Edit', items: 'undo redo cut copy paste pastetext | selectall | searchreplace'},
    insert: {title: 'Insert', items: 'image link media template codesample inserttable | charmap emoticons hr | nonbreaking anchor | insertdatetime'},
//default    view: {title: 'View', items: 'code visualaid visualchars visualblocks | preview fullscreen'},
//default    format: {title: 'Format', items: 'bold italic underline strikethrough superscript subscript | formats align| removeformat'},
    table: {title: 'Table', items: 'inserttable tableprops deletetable | cell row column'},
    tools: {title: 'Tools', items: 'spellchecker accessibilitychecker fontawesome xhplugincall'}
  },
  autosave_interval: "20s",
  image_advtab: true,
  image_title: true,
  file_picker_callback: "%FILEBROWSER_CALLBACK%",
  content_css: "%STYLESHEET%,%CMSIMPLE_ROOT%plugins/fa/css/font-awesome.min.css,./templates/mosaik/adminEdit.css",
//  importcss_append:true,
  style_formats_autohide: true,
//  importcss_selector_filter: /(?:([a-z0-9\-_]+))(\.[a-z0-9_\-\.]+)$/i,
  %LANGUAGE%
  element_format: "%ELEMENT_FORMAT%",
  block_formats: "%HEADERS%;p=p;div=div;code=code;pre=pre;dt=dt;dd=dd",
  "insertdatetime_formats": ["%H:%M:%S", "%d.%m.%Y", "%I:%M:%S %p", "%D"],
  relative_urls: true,
  convert_urls: false,
  entity_encoding: "raw",
  noneditable_noneditable_class: 'fa',
  noneditable_noneditable_class: 'mceNonEditable',  
  extended_valid_elements: 'span[*]',
  images_upload_url : "./?filebrowser=imageuploader&editor=tinymce5",
//  images_upload_base_path :"",
  images_upload_credentials: true,
  automatic_uploads: true,
  images_reuse_filename: false,
  image_class_list:[
    {title: tinymce.util.I18n.translate('None'), value: ''},
        {title: 'Styled image (left)',
            value: 'img-left'
        },
        {title: 'Styled image (right)',
            value: 'img-right'
        },
        {title: 'Styled image (center)',
            value: 'img-center'
        },
        {
            "title": "Responsive Image",
            "value": "img-responsive"
        },
        {
            "title": "Rounded Image",
            "value": "img-rounded"
        },
        {
            "title": "Circle Image",
            "value": "img-circle"
        },
        {
            "title": "Thumbnail Image",
            "value": "img-thumbnail"
        }  
  ],
  paste_data_images: true,
  link_class_list: [
    {title: tinymce.util.I18n.translate('None'), value: ''},
    {title: 'Zoom single', value: 'zoom'},
    {title: 'Zoom group', value: 'zoom_g'},
    {title: 'Zoom iFrame', value: 'zoom_i'}
  ],
  style_formats_merge: true,
  style_formats:[
  {title: 'Inline', items: [
        {title: 'Strikethrough', inline: 'span', styles : {textDecoration : 'line-through'}, icon: 'strikethrough'},
        {title: 'Superscript', inline: 'sup', icon: 'superscript'},
        {title: 'Subscript', inline: 'sub', icon: 'subscript'},
        {title: 'Marker',        inline: 'mark'},
        {title: 'Big',          inline: 'big'},
        {title: 'Small',         inline: 'small'},
        {title: 'Typewriter',     inline: 'tt'},
        {title: 'Computer Code',   inline: 'code', icon: 'code'},
        {title: 'Keyboard Phrase', inline: 'kbd'},
        {title: 'Sample Text',    inline: 'samp'},
        {title: 'Variable',       inline: 'var'},
        {title: 'Deleted Text',    inline: 'del'},
        {title: 'Inserted Text',   inline: 'ins'},
        {title: 'Cited Work',     inline: 'cite'},
        {title: 'Inline Quotation', inline: 'q'},

    ]},
    {title: 'Bilder', items: [
        {title: 'Styled image (left)',
            selector: 'img',
            classes: 'img-left'
        },
        {title: 'Styled image (right)',
            selector: 'img',
            classes: 'img-right'
        },
        {title: 'Styled image (center)',
            selector: 'img',
            classes: 'img-center'
        },
        {
            "title": "Responsive Image",
            "selector": "img",
            "classes": "img-responsive"
        },
        {
            "title": "Rounded Image",
            "selector": "img",
            "classes": "img-rounded"
        },
        {
            "title": "Circle Image",
            "selector": "img",
            "classes": "img-circle"
        },
        {
            "title": "Thumbnail Image",
            "selector": "img",
            "classes": "img-thumbnail"
        }
    ]},
    {title: 'Tabellen', items: [
        {title: 'Normal',
            selector: 'table',
            classes: 'table'
        },
        {title: 'Gestreifte Zeilen',
            selector: 'table',
            classes: 'table-striped'
        },
        {title: 'Tabelle mit Rahmen',
            selector: 'table',
            classes: 'table-bordered'
        },
        {
            "title": "Hover-Zeilen",
            "selector": "table",
            "classes": "table-hover"
        },
        {
            "title": "Komprimierte Tabelle",
            "selector": "table",
            "classes": "table-condensed"
        },
        {
            "title": "Responsive Tabellen",
            "selector": "div",
            "classes": "table-responsive"
        }
    ]},

/* TinyMCE Twitter Bootstrap 3 Styles */
    {
        "title": "Typographie",
        "items": [
            {
                "title": "mosa!k",
                "inline": "span",
                "classes": "mosaik"
            },
            {
                "title": "Lead Text",
                "block": "p",
                "classes": "lead"
            },
            {
                "title": "Small",
                "inline": "small"
            },
            {
                "title": "Marker",
                "inline": "mark"
            },
            {
                "title": "Insert",
                "inline": "ins"
            },
            {
                "title": "Abbreviation",
                "inline": "abbr"
            },
            {
                "title": "Initialism",
                "inline": "abbr",
                "classes": "initialism"
            },
            {
		"title": "Cited Work",
                "inline": "cite"
            },
            {
		"title": "Keyboard Phrase",
                "inline": "kbd"
            },
            {
                "title": "Variable",
                "inline": "var"
            },
            {
                "title": "Sample Text",
                "inline": "samp"
            },
            {
                "title": "Address",
                "format": "address",
                "wrapper": true
            },
            {
                "title": "Code Block",
                "format": "pre",
                "wrapper": true
            }
        ]
    },
    {
        "title": "Farben",
        "items": [
            {
                "title": "Muted",
                "inline": "span",
                "classes": "text-muted"
            },
            {
                "title": "Primary",
                "inline": "span",
                "classes": "text-primary"
            },
            {
                "title": "Success",
                "inline": "span",
                "classes": "text-success"
            },
            {
                "title": "Info",
                "inline": "span",
                "classes": "text-info"
            },
            {
                "title": "Warning",
                "inline": "span",
                "classes": "text-warning"
            },
            {
                "title": "Danger",
                "inline": "span",
                "classes": "text-danger"
            },
            {
                "title": "Background Primary",
                "block": "div",
                "classes": "bg-primary",
                "wrapper": true
            },
            {
                "title": "Background Success",
                "block": "div",
                "classes": "bg-success",
                "wrapper": true
            },
            {
                "title": "Background Info",
                "block": "div",
                "classes": "bg-info",
                "wrapper": true
            },
            {
                "title": "Background Warning",
                "block": "div",
                "classes": "bg-warning",
                "wrapper": true
            },
            {
                "title": "Background Danger",
                "block": "div",
                "classes": "bg-danger",
                "wrapper": true
            }
        ]
    },
    {
        "title": "Utilities",
        "items": [
            {title: 'Wraper div', block: 'div', wrapper: true},
            {
                "title": "Pull Left",
                "selector": "div,p,img",
                "classes": "pull-left"
            },
            {
                "title": "Pull Right",
                "selector": "div,p,img",
                "classes": "pull-right"
            },
            {
                "title": "Clearfix",
                "selector": "div,p",
                "classes": "clearfix"
            },
            {
                "title": "Center Block",
                "selector": "div,p,img",
                "classes": "center-block"
            },
            {
                "title": "Abstand unten bei Umbruch",
                "selector": "div",
                "classes": "mb15"
            },
            {
                "title": "Keine Silbentrennung",
                "inline": "span",
                "selector": "div,p,a",
                "classes": "donthyphenate"
            },
/* hi_fancybox */            
            {
                "title": "Zoom single",
                "selector": "a",
                "classes": "zoom"
            },
            {
                "title": "Zoom group",
                "selector": "a",
                "classes": "zoom_g"
            },
            {
                "title": "Zoom iFrame",
                "selector": "a",
                "classes": "zoom_i"
            }
        ]
    },
    {
        "title": "Lists",
        "items": [
            {
                "title": "Unstyled List",
                "selector": "ul,ol",
                "classes": "list-unstyled"
            },
            {
                "title": "Inline List",
                "selector": "ul,ol",
                "classes": "list-inline"
            }
        ]
    },
    {
        "title": "Diverse",
        "items": [
            {
                "title": "Blockzitat rechtsbündig",
                "selector": "blockquote",
                "classes": "blockquote-reverse"
            },
            {
                "title": "Blockzitat zentriert",
                "selector": "blockquote",
                "classes": "text-center"
            },
            {
                "title": "Blockzitat Fusszeile",
                "block": "footer"
            }
        ]
    }],
//	template_popup_height:200,
	templates: [
		{
			title: "Colum 1/2 1/2",
			url: "./plugins/tinymce4/templates/clm_6_6.htm",
			description: "Colum 1/2 1/2"
		},
		{
			title: "Colum 1/3 1/3 1/3",
			url: "./plugins/tinymce4/templates/clm_4_4_4.htm",
			description: "Colum 1/2 1/2"
		},
		{
			title: "Colum 1/4 1/4 1/4 1/4",
			url: "./plugins/tinymce4/templates/clm_3_3_3_3.htm",
			description: "Colum 1/4 1/4 1/4 1/4"
		},
		{
			title: "Colum 1/4 3/4",
			url: "./plugins/tinymce4/templates/clm_3_9.htm",
			description: "Colum 1/4 3/4"
		},
		{
			title: "Colum 3/4 1/4",
			url: "./plugins/tinymce4/templates/clm_9_3.htm",
			description: "Colum 3/4 1/4"
		},
		{
			title: "Colum 1/3 2/3",
			url: "./plugins/tinymce4/templates/clm_4_8.htm",
			description: "Colum 1/3 2/3"
		},
		{
			title: "Colum 2/3 1/3",
			url: "./plugins/tinymce4/templates/clm_8_4.htm",
			description: "Colum 2/3 1/3"
		},
		{
			title: "Colum 2/4 1/4 1/4",
			url: "./plugins/tinymce4/templates/clm_6_3_3.htm",
			description: "Colum 2/4 1/4 1/4"
		},
		{
			title: "Colum 1/4 2/4 1/4",
			url: "./plugins/tinymce4/templates/clm_3_6_3.htm",
			description: "Colum 1/4 2/4 1/4"
		},
		{
			title: "Colum 1/4 1/4 2/4",
			url: "./plugins/tinymce4/templates/clm_3_3_6.htm",
			description: "Colum 1/4 1/4 2/4"
		},
		{
			title: "Accordion Basic",
			url: "./plugins/tinymce4/templates/accordion_basic.htm",
			description: "The contents of the accordion is edited in the source code!"
		},
		{
			title: "Accordion Offen",
			url: "./plugins/tinymce4/templates/accordion_open.htm",
			description: "The contents of the accordion is edited in the source code!"
		},
		{
			title: "Tabs Basic",
			url: "./plugins/tinymce4/templates/tabs_basic.htm",
			description: "The contents of the tabs is edited in the source code!"
		},
		{
			title: "Tabs Advance",
			url: "./plugins/tinymce4/templates/tabs_advance.htm",
			description: "The contents of the tabs is edited in the source code!"
		},
	],
  codemirror:{
    config: {
      theme: 'zenburn'
    }
  }
}
